Subject: Re: bug#29662: 'guix gc' as user makes system unbootable

From: Quiliro Ordonez Baca <[email-masked]>
Date: Thu, 21 Dec 2017 16:06:04 -0500

From another thread that I mistakenly reopened:

Hi Ludovic.

>> 'guix gc' as user makes system unbootable.-
>
> If it were the case, we’d all be in troubles.  :-)

That is very true. But it is strange that it happens to me always when
running 'guix gc'. Perhaps the previous times I had this problem was
with root. But this time I have not touched root.

> More seriously, you experienced problems, but it’s not clear yet that
> this can be attributed to ‘guix gc’.  To me this sounds very unlikely.

Yes. It is weird. Nevertheless, it happens; that is undeniable. I can
send all info you ask. I feel weird....

>> I had executed 'guix gc' and then 'guix package -i blender' and then
>> 'guix package -u', all as user without running 'guix pull' recently
>> (did it last week). When rebooting, current GrUB boot menu entry did
>> not work. But previous versions (#1,#2,#3) worked at different
>> levels. Below each menu entry I post my experience upon boting with
>> it:
>>
>> menuentry "GNU with Linux-Libre 4.12.9 (beta)"
>> Kernel panic
>
> Could you paste (or take a picture) what’s on the screen?  Without this
> we can’t draw any conclusions.

I attach one photo. There are different messages. But, wouldn't it be
rude to attach 6MB to the whole mailing list?

[2. image/jpeg; DSCN3298.JPG]...

>> menuentry "GNU with Linux-Libre 4.11.6 (beta) (#1, 2017-06-21 18:01)"
>> No GUI. Lost keyboad configuration on tty's. Logged in as user. The
>> output of 'sudo herd status' was 'error: connect:
>> /var/run/shepherd/socket: No existe el fichero o el directorio'.
>
> Sounds like the root file system is missing files.
>
> Can you send the content of /var/log/shepherd.log and the last ~100
> lines of /var/log/messages for that config?

/var/log/shepherd.log:
2017-12-19 20:40:53 Service console-font-tty2 has been started.
2017-12-19 20:40:53 Service console-font-tty3 has been started.
2017-12-19 20:40:53 Service console-font-tty4 has been started.
2017-12-19 20:40:53 Service console-font-tty5 has been started.
2017-12-19 20:40:53 Service console-font-tty6 has been started.
2017-12-19 20:40:55 Service dbus-system has been started.
2017-12-19 20:40:55 Service networking has been started.
2017-12-19 20:40:55 Service ntpd has been started.
2017-12-19 20:40:55 Service upower-daemon has been started.
2017-12-19 20:40:56 Service avahi-daemon has been started.
2017-12-19 20:40:56 Service xorg-server has been started.
2017-12-19 20:41:06 Exiting shepherd...
2017-12-19 20:41:06 Service urandom-seed has been stopped.
2017-12-19 20:41:06 Service console-font-tty2 has been stopped.
2017-12-19 20:41:06 Service term-tty2 has been stopped.
2017-12-19 20:41:06 Service console-font-tty6 has been stopped.
2017-12-19 20:41:06 Service term-tty6 has been stopped.
2017-12-19 20:41:06 Service guix-daemon has been stopped.
2017-12-19 20:41:06 Service console-font-tty3 has been stopped.
2017-12-19 20:41:06 Service term-tty3 has been stopped.
2017-12-19 20:41:06 Service xorg-server has been stopped.
2017-12-19 20:41:06 Service upower-daemon has been stopped.
2017-12-19 20:41:06 Service avahi-daemon has been stopped.
2017-12-19 20:41:06 Service ntpd has been stopped.
2017-12-19 20:41:06 Service networking has been stopped.
2017-12-19 20:41:06 Service dbus-system has been stopped.
2017-12-19 20:41:06 Service nscd has been stopped.
2017-12-19 20:41:06 Service console-font-tty4 has been stopped.
2017-12-19 20:41:06 Service term-tty4 has been stopped.
2017-12-19 20:41:06 Service syslogd has been stopped.
2017-12-19 20:41:06 Service console-font-tty1 has been stopped.
2017-12-19 20:41:06 Service term-tty1 has been stopped.
2017-12-19 20:41:06 Service console-font-tty5 has been stopped.
2017-12-19 20:41:06 Service term-tty5 has been stopped.
2017-12-19 20:41:06 sending all processes the TERM signal
2017-12-19 20:41:10 all processes have been terminated
2017-12-19 20:41:10 Service user-processes has been stopped.
2017-12-19 20:41:10 Service file-systems has been stopped.
2017-12-19 20:41:10 Service file-system-/gnu/store has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/freezer has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/cpu has been stopped.
2017-12-19 20:41:10 Service file-system-/run/systemd has been stopped.
2017-12-19 20:41:10 Service file-system-/dev/shm has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/devices has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/cpuset has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/hugetlb has been stopped.
2017-12-19 20:41:10 Service file-system-/dev/pts has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/memory has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/elogind has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/blkio has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/perf_event has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup/cpuacct has been stopped.
2017-12-19 20:41:10 Service file-system-/sys/fs/cgroup has been stopped.
2017-12-19 20:41:10 Service file-system-/boot/efi has been stopped.
2017-12-19 20:41:10 Service file-system-/run/user has been stopped.
2017-12-19 20:41:10 Service udev has been stopped.
2017-12-19 20:41:10 closing log
2017-12-19 20:41:36 Service root has been started.
2017-12-19 20:41:37 starting services...
2017-12-19 20:41:37 Service root-file-system has been started.
2017-12-19 20:41:37 Service user-file-systems has been started.
2017-12-19 20:41:37 warning: 'waitpid' -1 failed unexpectedly: No child processes
2017-12-19 20:41:37 Service file-system-/boot/efi has been started.
2017-12-19 20:41:37 Service file-system-/dev/pts has been started.
2017-12-19 20:41:37 Service file-system-/dev/shm has been started.
2017-12-19 20:41:37 Service file-system-/gnu/store has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/cpuset has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/cpu has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/cpuacct has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/memory has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/devices has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/freezer has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/blkio has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/perf_event has been started.
2017-12-19 20:41:37 Service file-system-/sys/fs/cgroup/hugetlb has been started.
2017-12-19 20:41:37 Service file-systems has been started.
2017-12-19 20:41:37 Service user-processes has been started.
2017-12-19 20:41:37 Service host-name has been started.
2017-12-19 20:41:37 Service user-homes could not be started.
2017-12-19 20:41:37 waiting for udevd...
2017-12-19 20:41:38 Service udev has been started.
2017-12-19 20:41:39 Service nscd has been started.
2017-12-19 20:41:39 Service guix-daemon has been started.
2017-12-19 20:41:39 Service urandom-seed has been started.
2017-12-19 20:41:39 Service syslogd has been started.
2017-12-19 20:41:39 Service loopback has been started.
2017-12-19 20:41:39 Service term-tty6 has been started.
2017-12-19 20:41:39 Service term-tty5 has been started.
2017-12-19 20:41:39 Service term-tty4 has been started.
2017-12-19 20:41:39 Service term-tty3 has been started.
2017-12-19 20:41:39 Service term-tty2 has been started.
2017-12-19 20:41:39 Service term-tty1 has been started.
2017-12-19 20:41:39 Service console-font-tty1 has been started.
2017-12-19 20:41:39 Service console-font-tty2 has been started.
2017-12-19 20:41:39 Service console-font-tty3 has been started.
2017-12-19 20:41:39 Service console-font-tty4 has been started.
2017-12-19 20:41:39 Service console-font-tty5 has been started.
2017-12-19 20:41:39 Service console-font-tty6 has been started.
2017-12-19 20:41:44 Service ssh-daemon could not be started.

/var/log/messages:
Dec 19 20:41:45 localhost vmunix: [ 3.002898] input: Apple Inc. Apple
Internal Keyboard / Trackpad as
/devices/pci0000:00/0000:00:04.0/usb3/3-6/3-6:1.0/0003:05AC:0224.0004/input/input6
Dec 19 20:41:45 localhost vmunix: [ 3.061380] apple
0003:05AC:0224.0004: input,hidraw2: USB HID v1.11 Keyboard [Apple
Inc. Apple Internal Keyboard / Trackpad] on usb-0000:00:04.0-6/input0
Dec 19 20:41:45 localhost vmunix: [    3.146355] udevd[195]: starting version 3.2.1
Dec 19 20:41:45 localhost vmunix: [    3.168137] udevd[195]: starting eudev-3.2.1
Dec 19 20:41:45 localhost vmunix: [ 3.504389] apple
0003:05AC:0224.0005: hidraw3: USB HID v1.11 Device [Apple Inc. Apple
Internal Keyboard / Trackpad] on usb-0000:00:04.0-6/input1
Dec 19 20:41:45 localhost vmunix: [    3.513642] input: bcm5974 as /devices/pci0000:00/0000:00:04.0/usb3/3-6/3-6:1.2/input/input7
Dec 19 20:41:45 localhost vmunix: [    3.514739] usbcore: registered new interface driver bcm5974
Dec 19 20:41:45 localhost vmunix: [    3.517739] usbcore: registered new interface driver usbmouse
Dec 19 20:41:45 localhost vmunix: [    3.611032] udevd[195]: no sender credentials received, message ignored
Dec 19 20:41:45 localhost vmunix: [    3.644244] i2c i2c-0: nForce2 SMBus adapter at 0x2140
Dec 19 20:41:45 localhost vmunix: [    3.646647] i2c i2c-1: nForce2 SMBus adapter at 0x2100
Dec 19 20:41:45 localhost vmunix: [    3.654140] nv_tco: NV TCO WatchDog Timer Driver v0.01
Dec 19 20:41:45 localhost vmunix: [    3.655086] nv_tco: Watchdog reboot detected
Dec 19 20:41:45 localhost vmunix: [    3.661465] nv_tco: initialized (0x0540). heartbeat=30 sec (nowayout=0)
Dec 19 20:41:45 localhost vmunix: [    3.663976] ACPI: SBS HC: EC = 0xffff98973dc40100, offset = 0x20, query_bit = 0x10
Dec 19 20:41:45 localhost vmunix: [    3.681729] usbcore: registered new interface driver usbkbd
Dec 19 20:41:45 localhost vmunix: [    3.683072] media: Linux media interface: v0.10
Dec 19 20:41:45 localhost vmunix: [ 3.686680] input: Apple Computer,
Inc. IR Receiver as
/devices/pci0000:00/0000:00:04.0/usb3/3-5/3-5:1.0/0003:05AC:8242.0001/input/input8
Dec 19 20:41:45 localhost vmunix: [    3.688163] Bluetooth: Core ver 2.22
Dec 19 20:41:45 localhost vmunix: [    3.689129] NET: Registered protocol family 31
Dec 19 20:41:45 localhost vmunix: [    3.690041] Bluetooth: HCI device and connection manager initialized
Dec 19 20:41:45 localhost vmunix: [    3.690970] Bluetooth: HCI socket layer initialized
Dec 19 20:41:45 localhost vmunix: [    3.691822] Bluetooth: L2CAP socket layer initialized
Dec 19 20:41:45 localhost vmunix: [    3.692624] Bluetooth: SCO socket layer initialized
Dec 19 20:41:45 localhost vmunix: [    3.694900] Linux video capture interface: v2.00
Dec 19 20:41:45 localhost vmunix: [    3.697822] usbcore: registered new interface driver btusb
Dec 19 20:41:45 localhost vmunix: [    3.713718] uvcvideo: Found UVC 1.00 device Built-in iSight (05ac:8505)
Dec 19 20:41:45 localhost vmunix: [    3.719378] uvcvideo 1-4:1.0: Entity type for entity Processing 3 was not initialized!
Dec 19 20:41:45 localhost vmunix: [    3.719491] snd_hda_intel 0000:00:08.0: enabling device (0000 -> 0002)
Dec 19 20:41:45 localhost vmunix: [    3.719814] ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 18
Dec 19 20:41:45 localhost vmunix: [    3.719823] snd_hda_intel 0000:00:08.0: Disabling MSI
Dec 19 20:41:45 localhost vmunix: [    3.724299] uvcvideo 1-4:1.0: Entity type for entity Camera 1 was not initialized!
Dec 19 20:41:45 localhost vmunix: [    3.726596] input: Built-in iSight as /devices/pci0000:00/0000:00:04.1/usb1/1-4/1-4:1.0/input/input9
Dec 19 20:41:45 localhost vmunix: [    3.728111] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
Dec 19 20:41:45 localhost vmunix: [    3.730303] usb 4-1.2: USB disconnect, device number 4
Dec 19 20:41:45 localhost vmunix: [    3.732763] input: PC Speaker as /devices/platform/pcspkr/input/input10
Dec 19 20:41:45 localhost vmunix: [ 3.750151] appleir
0003:05AC:8242.0001: input,hiddev0,hidraw4: USB HID v1.11 Device
[Apple Computer, Inc. IR Receiver] on usb-0000:00:04.0-5/input0
Dec 19 20:41:45 localhost vmunix: [    3.765878] usbcore: registered new interface driver uvcvideo
Dec 19 20:41:45 localhost vmunix: [    3.766974] USB Video Class driver (1.1.1)
Dec 19 20:41:45 localhost vmunix: [    3.770883] wmi: Mapper loaded
Dec 19 20:41:45 localhost vmunix: [    3.781570] ssb: Found chip with id 0x4321, rev 0x05 and package 0x00
Dec 19 20:41:45 localhost vmunix: [ 3.797307] (NULL device *):
hwmon_device_register() is deprecated. Please convert the driver to
use hwmon_device_register_with_info().
Dec 19 20:41:45 localhost vmunix: [    3.798440] ACPI: Smart Battery System [SBS0]: Battery Slot [BAT0] (battery present)
Dec 19 20:41:46 localhost vmunix: [    3.815279] intel_powerclamp: No package C-state available
Dec 19 20:41:46 localhost vmunix: [    3.850612] ssb: Sonics Silicon Backplane found on PCI device 0000:03:00.0
Dec 19 20:41:46 localhost vmunix: [ 3.854711] ACPI Warning:
\_SB.PCI0.IXVE.IGPU._DSM: Argument #4 type mismatch - Found [Buffer],
ACPI requires [Package] (20170119/nsarguments-95)
Dec 19 20:41:46 localhost vmunix: [    3.856613] Error: Driver 'pcspkr' is already registered, aborting...
Dec 19 20:41:46 localhost vmunix: [    3.864198] ACPI: \_SB_.PCI0.IXVE.IGPU: failed to evaluate _DSM
Dec 19 20:41:46 localhost vmunix: [    3.865750] nouveau 0000:02:00.0: enabling device (0002 -> 0003)
Dec 19 20:41:46 localhost vmunix: [    3.867456] ACPI: PCI Interrupt Link [LGPU] enabled at IRQ 20
Dec 19 20:41:46 localhost vmunix: [    3.875366] fb: switching to nouveaufb from EFI VGA
Dec 19 20:41:46 localhost vmunix: [    3.881496] Console: switching to colour dummy device 80x25
Dec 19 20:41:46 localhost vmunix: [    3.885794] nouveau 0000:02:00.0: NVIDIA MCP79/MCP7A (0ac800b1)
Dec 19 20:41:46 localhost vmunix: [    3.901772] nouveau 0000:02:00.0: bios: version 62.79.47.00.01
Dec 19 20:41:46 localhost vmunix: [    3.902427] nouveau 0000:02:00.0: disp: outp 02:0006:0242: no bios dp data
Dec 19 20:41:46 localhost vmunix: [    3.931822] nouveau 0000:02:00.0: fb: 256 MiB stolen system memory
Dec 19 20:41:46 localhost vmunix: [    3.955535] b43-phy0: Broadcom 4321 WLAN found (core revision 12)
Dec 19 20:41:46 localhost vmunix: [    3.991293] [TTM] Zone  kernel: Available graphics memory: 893412 kiB
Dec 19 20:41:46 localhost vmunix: [    3.991300] [TTM] Initializing pool allocator
Dec 19 20:41:46 localhost vmunix: [    3.991309] [TTM] Initializing DMA pool allocator
Dec 19 20:41:46 localhost vmunix: [    3.991337] nouveau 0000:02:00.0: DRM: VRAM: 256 MiB
Dec 19 20:41:46 localhost vmunix: [    3.991343] nouveau 0000:02:00.0: DRM: GART: 1048576 MiB
Dec 19 20:41:46 localhost vmunix: [    3.991351] nouveau 0000:02:00.0: DRM: TMDS table version 2.0
Dec 19 20:41:46 localhost vmunix: [    3.991357] nouveau 0000:02:00.0: DRM: DCB version 4.0
Dec 19 20:41:46 localhost vmunix: [    3.991363] nouveau 0000:02:00.0: DRM: DCB outp 00: 01001123 00010014
Dec 19 20:41:46 localhost vmunix: [    3.991370] nouveau 0000:02:00.0: DRM: DCB outp 01: 02020232 00000010
Dec 19 20:41:46 localhost vmunix: [    3.991375] nouveau 0000:02:00.0: DRM: DCB outp 02: 02020286 0f220010
Dec 19 20:41:46 localhost vmunix: [    3.991381] nouveau 0000:02:00.0: DRM: DCB conn 00: 0000a146
Dec 19 20:41:46 localhost vmunix: [    3.991386] nouveau 0000:02:00.0: DRM: DCB conn 01: 00000240
Dec 19 20:41:46 localhost vmunix: [    3.998159] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
Dec 19 20:41:46 localhost vmunix: [    3.998165] [drm] Driver supports precise vblank timestamp query.
Dec 19 20:41:46 localhost vmunix: [ 3.998278] nouveau 0000:02:00.0:
hwmon_device_register() is deprecated. Please convert the driver to
use hwmon_device_register_with_info().
Dec 19 20:41:46 localhost vmunix: [    4.009059] nouveau 0000:02:00.0: DRM: MM: using M2MF for buffer copies
Dec 19 20:41:46 localhost vmunix: [    4.010141] b43-phy0: Found PHY: Analog 5, Type 4 (N), Revision 2
Dec 19 20:41:46 localhost vmunix: [    4.010154] b43-phy0: Found Radio: Manuf 0x17F, ID 0x2055, Revision 4, Version 0
Dec 19 20:41:46 localhost vmunix: [    4.057652] applesmc: key=272 fan=1 temp=17 index=17 acc=1 lux=2 kbd=1
Dec 19 20:41:46 localhost vmunix: [    4.059676] ssb0:0: Missing Free firmware (non-Free firmware loading is disabled)
Dec 19 20:41:46 localhost vmunix: [    4.059685] Unable to load firmware
Dec 19 20:41:46 localhost vmunix: [    4.059691] ssb0:0: Missing Free firmware (non-Free firmware loading is disabled)
Dec 19 20:41:46 localhost vmunix: [    4.059698] Unable to load firmware
Dec 19 20:41:46 localhost vmunix: [    4.059702] b43-phy0 ERROR: /*(DEBLOBBED)*/
Dec 19 20:41:46 localhost vmunix: [    4.059774] Broadcom 43xx driver loaded [ Features: PNL ]
Dec 19 20:41:46 localhost vmunix: [    4.060515] b43 ssb0:0: Direct firmware load for /*(DEBLOBBED)*/ failed with error -2
Dec 19 20:41:46 localhost vmunix: [    4.081278] usb 4-1.3: USB disconnect, device number 5
Dec 19 20:41:46 localhost vmunix: [    4.097693] nouveau 0000:02:00.0: DRM: allocated 1280x800 fb: 0x50000, bo ffff989738893000
Dec 19 20:41:46 localhost vmunix: [    4.105288] fbcon: nouveaufb (fb0) is primary device
Dec 19 20:41:46 localhost vmunix: [    4.137910] input: applesmc as /devices/platform/applesmc.768/input/input11
Dec 19 20:41:46 localhost vmunix: [ 4.176006] applesmc applesmc.768:
hwmon_device_register() is deprecated. Please convert the driver to
use hwmon_device_register_with_info().
Dec 19 20:41:46 localhost vmunix: [    4.217596] Console: switching to colour frame buffer device 160x50
Dec 19 20:41:46 localhost vmunix: [    4.351352] nouveau 0000:02:00.0: fb0: nouveaufb frame buffer device
Dec 19 20:41:46 localhost vmunix: [    4.365295] [drm] Initialized nouveau 1.3.1 20120801 for 0000:02:00.0 on minor 0
Dec 19 20:41:46 localhost vmunix: [    4.628734] snd_hda_codec_realtek hdaudioC0D0: ALC889A: SKU not ready 0x400000f0
Dec 19 20:41:46 localhost vmunix: [    4.653265] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC889A: line_outs=1 (0x18/0x0/0x0/0x0/0x0) type:speaker
Dec 19 20:41:46 localhost vmunix: [    4.653284] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
Dec 19 20:41:46 localhost vmunix: [    4.653294] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x14/0x0/0x0/0x0/0x0)
Dec 19 20:41:46 localhost vmunix: [    4.653302] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
Dec 19 20:41:46 localhost vmunix: [    4.653309] snd_hda_codec_realtek hdaudioC0D0:    inputs:
Dec 19 20:41:46 localhost vmunix: [    6.410296] input: HDA NVidia Headphone Mic as /devices/pci0000:00/0000:00:08.0/sound/card0/input12
Dec 19 20:41:48 localhost vmunix: [   14.040286] random: crng init done
Dec 19 20:42:46 localhost vmunix: [   72.049278] CE: hpet increased min_delta_ns to 11521 nsec

> Could it be that the root file system UUID or label in your GuixSD
> config file is invalid?  Current ‘guix system reconfigure’ raises an
> error when that happens, but it used to be (until a month or two ago)
> that ‘guix system reconfigure’ would go ahead and the resulting system
> would not boot.  Likewise, if you changed the label of the root file
> system with ‘e2label’ in the meantime, the resulting system will not
> boot.

I checked all .scm files used for 'guix system reconfigure
config.scm'. All have the 'my-root' label for root partition. e2label
shows root partition (/dev/sda2) has 'my-root' label.

I did not touch config.scm or have run 'sudo guix system reconfigure
config.scm' in months (as you can probably see from the kernel I am
using). This problem is recent and presented only after running 'guix
gc' as a non-root user.

I understand you doubt that this happens because guix is not supposed to
do it. I know I could have missed something, but I doubt it. Please give me the
benefit of the doubt. It is important for me to confirm that guix does
not have this bug. I can try to reproduce the problem with another installation.

> Thanks in advance,

Thank YOU for your help!